[@algorandfoundation/algokit-utils](../README.md) / [types/app-manager](../modules/types_app_manager.md) / BoxReference

# Interface: BoxReference

[types/app-manager](../modules/types_app_manager.md).BoxReference

A grouping of the app ID and name identifier to reference an app box.

## Table of contents

### Properties

- [appId](types_app_manager.BoxReference.md#appid)
- [name](types_app_manager.BoxReference.md#name)

## Properties

### appId

• **appId**: `bigint`

A unique application id

#### Defined in

[src/types/app-manager.ts:66](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-manager.ts#L66)

___

### name

• **name**: [`BoxIdentifier`](../modules/types_app_manager.md#boxidentifier)

Identifier for a box name

#### Defined in

[src/types/app-manager.ts:70](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-manager.ts#L70)
